// ========================== MSP430F1xxx Ʈ  α׷ ==================
//  CPU : MSP430F1121
//     ¥ : 2008-
//      : Ver1.0
//    : www.cpuplaza.com
// Ϸ : IAR-MSP430
// [ ]  : ACLK : 32.768Khz
//            MCLK : DCO(4.8MHz)
//            SMCLK: DCO(4.8MHz)
// ----------------------------------------------------------------------------
// ⺻ 
#include "msp430x11x1.h"
#include <stdio.h>

// Լ 


//  

// ===============================  α׷ ==============================
// [μ]: void
// []: P1.0-7 : ALL Output
//         P2.0-5 : ALL Output
//          1 0 
// ---------------------------------------------------------------------------
int main(void)
{
unsigned datau = 0x0001;
long dly;

	WDTCTL = WDTPW + WDTHOLD;				// Init watchdog timer(stop)
	for(dly = 0; dly < 0x4000U; dly++) ;			// XTAL  ð 

// Rsel = 7, DCO = 7, MOD = 0, DCOR = 0 TA = 25 :: DCO ִ ļ (4.4 - 5.4Mhz)
// XTX  : Low Freqency
// DIVx : ACLK = LXFTCLK(32.768KHz)
// Register Select : 7
	BCSCTL1 = XT2OFF + RSEL2 + RSEL1 + RSEL0;
	DCOCTL = 0xe0;						// DCO Max Freqency

	P1DIR = 0xff;						// Port1 All  Output
	P2DIR = 0x3f;						// Port2 6Bit Output
	while(1){
		P1OUT = ~datau & 0xff;				// PORT1 Out  8Bit
		P2OUT = (~datau >> 8) & 0x3f;			// PORT2 Out  6Bit
		for(dly = 0; dly < 300000; dly++);		// delay 362ms
		datau = datau << 1;				//  Ʈ << 1
		if(datau & 0x4000) datau = 0x0001;
	}
}
